Your submission was sent successfully! Close

CVE-2017-6838

Published: 14 March 2017

Integer overflow in sfcommands/sfconvert.c in Audio File Library (aka audiofile) 0.3.6 allows remote attackers to cause a denial of service (crash) via a crafted file.

Priority

Medium

CVSS 3 base score: 5.5

Status

Package Release Status
audiofile
Launchpad, Ubuntu, Debian
Upstream
Released (0.3.6-4)
Ubuntu 16.04 ESM (Xenial Xerus)
Released (0.3.6-2ubuntu0.16.04.1)
Ubuntu 14.04 ESM (Trusty Tahr)
Released (0.3.6-2ubuntu0.14.04.2)
Patches:
Upstream: https://github.com/mpruett/audiofile/commit/7d65f89defb092b63bcbc5d98349fb222ca73b3c
Upstream: https://github.com/antlarr/audiofile/commit/ce536d707b8e2a26baca77320398c45238224ca7